/* ======================================================== */
/*                                                          */
/*                    NoICE demo                            */
/*                                                          */
/* ======================================================== */ 

/* Program vysila na seriovy port postupne nekolik retezcu. */
/* Vyuziti pameti je nastaveno pro praci s MIK552 a         */
/* NoICE: Kodova pamet je od 8000, datova pamet je od 0000. */
/*                                                          */

/* --------------------------------------------------------- */

/* Pametovy model: datova pamet je implicitne SMALL          */
/*		   kodova pamet je implicitne LARGE          	     */


/* negenerovat prerusovaci vektory pro ladeni s NOICE */

#pragma INTVECTOR(0x8000)

#include	"NoICE_demo.h"
#include	"HW_MIK.h"

#include 	<REG552.H>

/* ----------- globalni promenne --------------------------- */

unsigned char data	i;
unsigned char code	s_text[6][20] = {
									{"Text 0\n\r"},
									{"Text 1\n\r"},
									{"Text 2\n\r"},
									{"Text 3\n\r"},
									{"Text 4\n\r"},
									{"=============\r\n"},
								};

extern bit data			tx_empty;

bit data			send_string_ready;
unsigned int data	send_string_ptr;	/* pointer do vysilaciho bufferu */
unsigned char code	* data send_string;	/* vysilaci buffer pro send_log */

/*unsigned char code send_string[] = "Ahoj\r\n";*/

/* ----------- main ---------------------------------------- */

void main(void) {

	ENABLE;			/* povoleni preruseni pro timer */

	init_timer_0();
	init_serial();

	while(1) {
		for(i = 0; i < 5; i++) {
			send_string = s_text[i];  
			wait(1000);				/* ceka 1 sec. */
			RED_LED = ~RED_LED;
			GREEN_LED = ~RED_LED;		
			send_string_ready = 1;	/* povoleni vysilani textu */
			if(tx_empty) {
				S0BUF = send_string[send_string_ptr++];	/* vynuceny start vysilani */
			}
		}
	}
		

}


/* ============= END OF NoICE demo.c ======================= */

