/* ======================================================== */
/*                                                          */
/*                  Hlavickovy soubor                       */
/*                                                          */
/*                    Logger.h                              */
/*                                                          */
/*                    Ver. 1.0                              */
/* ======================================================== */ 

/* #define	CMOS_MEM_AVAILABLE		0x1F00 */
#define	CMOS_MEM_AVAILABLE		0x1000
#define	MAX_LOG					(CMOS_MEM_AVAILABLE - 0x10)/5

#define	LOG_INIT_OK				0x35CA

/* rezimy loggeru */
#define	NORMAL					0x01
#define	INIT_FLAG				0x02
#define	INIT_CONFIRM			0x04
#define	SEND_LOG				0x08

struct LOG_RECORD {
	unsigned char	month;
	unsigned char	date;
	unsigned char	hour;
	int				temp_01;
};

struct LOG_STRUCT {
	unsigned char		wrap;		/* indikace zaplnene pameti -> prepisuji se stare hodnoty */
	unsigned int		log_wr;
	struct LOG_RECORD	lr[MAX_LOG];
};

struct LOG_CONTROL {
	unsigned int	init_needed;	/* nutne inicializovat logy */
	unsigned int	n_reset;		/* pocet provedenych resetu */
	unsigned char	reserved_2;
	unsigned char	reserved_3;
	unsigned char	reserved_4;
};


/* --------------------------------------------------------- */

void store_log(void) ;
void init_log(void) ;
void process_kbd(void) ;
void format_log(void) ;
void display_log(unsigned int lptr) ;
void init_logger(void) ;

/* ============ END of HW_M_LCD.H ========================= */
 
 
